### A free/open-source library for quantitative finance

Public Member Functions
HestonModelHelper Class Reference

calibration helper for Heston model More...

`#include <ql/models/equity/hestonmodelhelper.hpp>`

Inheritance diagram for HestonModelHelper:
[legend]

List of all members.

## Public Member Functions

| HestonModelHelper (const Period &maturity, const Calendar &calendar, const Real s0, const Real strikePrice, const Handle< Quote > &volatility, const Handle< YieldTermStructure > &riskFreeRate, const Handle< YieldTermStructure > &dividendYield, CalibrationHelper::CalibrationErrorType errorType=CalibrationHelper::RelativePriceError)
void | addTimesTo (std::list< Time > &) const
Real | modelValue () const
| returns the price of the instrument according to the model
Real | blackPrice (Real volatility) const
| Black price given a volatility.
Time | maturity () const

## Detailed Description

calibration helper for Heston model